/* FILE: default.css
**
** This file contains the styles used for documents written
** for the CIS 241 Internet Application Development and Administration
** course at Montgomery County Community College.
**
** AUTHOR: Richard A. Yancy
** DATE  : 10-FEB-2000
*/


/************************************************************************/
/* Style for the HTML */
/************************************************************************/

HTML 
{
   background: none;
   background-image: none;
}

/************************************************************************/
/************************************************************************/
/* Style for the BODY */
/************************************************************************/
/************************************************************************/

BODY 
{
   background: white;
   color: black;
}

/* Bodies for documents in root directory */

BODY.default-body
{
   background-image: url("../images/default_background.png");
}


/************************************************************************/
/************************************************************************/


DIV.block-center
{
   border-width: 0px; 
   text-align : center;
}

DIV:first-letter 
{ 
   font-size: xx-large 
}

/************************************************************************/
/* Images */
/************************************************************************/

IMG
{
   display: inline;
   border-width: 0;
   text-align: center;
}

IMG.arrow-bullet-img 
{
   display: block;
   border-width: 0;
}

IMG#iada-img 
{
   display: block;
   border-width: 0;
}

IMG.banner-img 
{
   display: block;
   border-width: 0;
}

IMG.iada-button-img 
{
   display: block;
   border-width: 0;
}

IMG.weather-img 
{
   display: inline;
   border-width: 0;
   text-align: left;
   float: left;
}



/************************************************************************/
/* Paragraphs */
/************************************************************************/

P 
{
   display: block;
   margin-bottom: auto;
   margin-top: auto;
}


P.p-center
{
   text-align: center;
}

P:first-letter
{
   color: blue;
   font-size: 200%;
   font-style: italic;
   font-weight: bold;
   float: left;
}


/************************************************************************/
/************************************************************************/

SPAN.bold-span
{
   font-weight: bold;
   text-decoration: underline;
}

SPAN.small-print-span
{
   font-size: x-small;
}

/************************************************************************/
/* Tables */
/************************************************************************/

TABLE
{
   display: table;
   width: 100%;
   border-width: 0;
   border-style: outset;
   border-color: #C0C0C0;
   margin: 0;
}

TABLE.invisible-table
{
   display: table;
   border-width: 0;
   border-style: none;
   border-color: #FFFFFF;
   margin: 0;
}

CAPTION
{
   background-color: #008080;
   color: #0000FF;
   font-style: italic;
}

TR 
{
   display: table-row;
}


TD, TH
{
   display: table-cell;
   border-style: inset;
   border-color: #C0C0C0;
   line-height: normal;
   text-align: left;
}

TD.invisible-td, TH.invisible-th
{
   display: table-cell;
   border-style: none;
   border-color: #FFFFFF;
   line-height: normal;
   text-align: left;
}



/************************************************************************/
/* Home Index Table */
/************************************************************************/


TABLE.home-index-table
{
   width: 100%;
   border-width: 0;
}

TR.home-index-row 
{
   display: table-row;
   width: 100%;
   text-align: left;
}

TH.home-index-th
{
   width: 100%;
   border-style: none;
   border-width: 0;
   font-weight: bold;
   text-align: center;
}

TD.home-index-td
{
   width: 100%;
   border-width: 0;
   border-style: none;
   text-align: center;
}


/************************************************************************/
/* Index Table */
/************************************************************************/


TABLE.index-table
{
   width: 100%;
   border-width: 3;
}

/************************************************************************/
/* Report Table */
/************************************************************************/


TABLE.report-table
{
   width: 100%;
   border-width: 0;
}

TH.report-th 
{
   border-width: 0;
   font-style: italic;
   text-align: left;
}

TH.report-title-th
{
   background-color: blue;
   color: yellow;
   border-width: 0;
   font-style: italic;
   text-align: left;
}

TH.report-title-th-center
{
   background-color: blue;
   color: yellow;
   border-width: 0;
   font-style: italic;
   text-align: center;
}

TD.report-td
{
   border-width: 0;
   text-align: left;
}

TD.report-detail-td
{
   border-width: thin;
   text-align: right;
}


/************************************************************************/
/* Report Form Table */
/************************************************************************/


TABLE.report-form-table
{
   width: 50%;
   border-width: 0;
}

TH.report-form-th 
{
   border-width: 0;
   text-align: left;
}

TH.report-form-th-center 
{
   border-width: 0;
   text-align: center;
}

TD.report-form-td
{
   border-width: 0;
   text-align: left;
}

/************************************************************************/
/* Textbook Table */
/************************************************************************/


TABLE.textbook-table
{
   width: 100%;
   border-width: 3;
}

TH.textbook-th 
{
   border-width: 1;
   border-style: outset;
   text-align: center;
}

/************************************************************************/
/* Title Table */
/************************************************************************/


TABLE.title-table
{
   border-width: 0;
   width: 100%;
}

TR.title-tr 
{
   display: table-row;
   text-align: center;
   border-width: 0;
}

TD.title-td 
{
   border-width: 0;
   text-align: center;
}

/************************************************************************/
/* Topic Table */
/************************************************************************/


TABLE.topic-table
{
   border-width: 0;
}

TR.topic-tr 
{
   display: table-row;
   text-align: center;
   border-width: 0;
}

TD.topic-td 
{
   border-width: thin;
   text-align: center;
}

